Skip to main content
`Ctrl`+`K`

# PetscSectionSymType

String with the name of a `PetscSectionSym` type.

## Synopsis

    typedef const char *PetscSectionSymType;

## Note

`PetscSectionSym` has no default implementation, but is used by `DM` in `PetscSectionSymCreateLabel()`.

## See Also

PetscSection, `PetscSectionSymSetType()`, `PetscSectionSymGetType()`, `PetscSectionSym`, `PetscSectionSymCreate()`, `PetscSectionSymRegister()`

## Level

developer

## Location

include/petscsectiontypes.h

Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages